using System.Runtime.InteropServices;

namespace Decal.Interop.SpellFilter;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class _ISpellsEvents_SinkHelper : _ISpellsEvents
{
	public _ISpellsEvents_LoginEventHandler m_LoginDelegate;

	public _ISpellsEvents_Spellbook_AddEventHandler m_Spellbook_AddDelegate;

	public _ISpellsEvents_Spellbook_DeleteEventHandler m_Spellbook_DeleteDelegate;

	public int m_dwCookie;

	public void Login(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_LoginDelegate != null)
		{
			m_LoginDelegate(P_0);
		}
	}

	public void Spellbook_Add(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_Spellbook_AddDelegate != null)
		{
			m_Spellbook_AddDelegate(P_0);
		}
	}

	public void Spellbook_Delete(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_Spellbook_DeleteDelegate != null)
		{
			m_Spellbook_DeleteDelegate(P_0);
		}
	}

	internal _ISpellsEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_LoginDelegate = null;
		m_Spellbook_AddDelegate = null;
		m_Spellbook_DeleteDelegate = null;
	}
}
